Heartbleed flaw is everywhere.

Heartbleed is a security hole big enough to get everyone’s attention yesterday.  We have updated all our hosted linux boxen that were affected, but there are still many vendors who do not yet have patches made available.   If you are one of our maintenance customers, then be assured we will be sure your equipment is updates during your normal visit this month (or sooner if possible).  If you are not, please contact us  and we will do our best to help you as fast as possible.